Bug 474244 - (mysqlreport) Review Request: mysqlreport - A friendly report of important MySQL status values
Review Request: mysqlreport - A friendly report of important MySQL status values
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://hackmysql.com/mysqlreport
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 17:43 EST by Chris Weyl
Modified: 2008-12-07 00:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 00:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-12-02 17:43:08 EST
Spec URL: http://fedorapeople.org/~cweyl/review/mysqlreport.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/mysqlreport-3.5-1.fc9.src.rpm

Description:
mysqlreport makes a friendly report of important MySQL status values.  It
transforms the values from SHOW STATUS into an easy-to-read report that
provides an in-depth understanding of how well MySQL is running, and is a
better alternative (and practically the only alternative) to manually
interpreting SHOW STATUS.
Comment 1 Chris Weyl 2008-12-02 17:43:54 EST
dist-f11 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=972151
Comment 2 manuel wolfshant 2008-12-05 09:46:39 EST

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type in specfile: GPLv2+
     License type referenced in the source (perl) file: GPLv3
     License file bundled with the source (inside the tar.gz) file: GPLv3
--> See Issue 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 00d2790a9b76422a936f96a622567aa03437b9a3 mysqlreport-3.5.tgz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [!] Package consistently uses macros.
See Issue 2
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: all archs via koji scratch build
 [?] Package functions as described.
will test soon in Centos env (EL-4 and 5)
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.

Issues
=========
1. license as claimed by the spec does not seem to correspond to the one in the source
2. %clean uses $RPM_BUILD_ROOT; the rest of the spec uses the lowercase variant
Comment 3 manuel wolfshant 2008-12-05 09:58:14 EST
Good: works fine in EL-4 and EL-5.

Chris, please consider EPEL branches too. I volunteer for [co-]maintainership if you need a monkey hand.
Comment 4 Chris Weyl 2008-12-05 13:02:27 EST
Hmmm...  Licensing.

The COPYING file included is the GPLv3, but the source clearly states that:

# mysqlreport makes an easy-to-read report of important MySQL status values.
# Copyright 2006-2008 Daniel Nichter
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

We could certainly choose to redistribute this under the terms of the GPLv3+, as the plain text of the license grant inside the source permit this.  I don't have a problem with this if you're thinking the spec license tag should match the included COPYING file.

And, EPEL packages of this would be extremely useful, I agree.  No problem with co-maintaintership either :)
Comment 5 manuel wolfshant 2008-12-05 14:58:13 EST
Oh well, this will teach me to read more carefully. You are right, GPLv2+ is correct. However, I guess pinging the author and asking for clarifications would not hurt. Anyway, package is APPROVED. Do not forget please to replace the uppercase BUILDROOT macro with the lowercase version.
Comment 6 Chris Weyl 2008-12-05 16:15:45 EST
New Package CVS Request
=======================
Package Name: mysqlreport
Short Description: A friendly report of important MySQL status values
Owners: cweyl wolfy
Branches: F-9 F-10 devel EL-4 EL-5
InitialCC:
Comment 7 manuel wolfshant 2008-12-05 17:55:41 EST
  I have a small suggestion: since the " program " is actually a perl script which works with all versions of perl available in Fedora land, how about removing the line 
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) ?
  I fail to see anything useful in depending on a specific version of perl, just for the sake of it. rpmbuild already adds /usr/bin/perl as a dependency and AFAICS this is enough. Benefit: the same noarch package can be used in all versions of the distribution, EPEL included.
Comment 8 Kevin Fenzi 2008-12-06 22:35:44 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.